Bug 26562 - Searches are shared between sessions
Summary: Searches are shared between sessions
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 25027
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-29 09:31 UTC by Jonathan Druart
Modified: 2020-11-16 14:49 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05, 19.11.11, 19.05.16


Attachments
Bug 26562: Removes 'searches' from localStorage on logout (1.07 KB, patch)
2020-09-29 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26562: [20.05.x] Removes 'searches' from localStorage on logout (1.82 KB, patch)
2020-09-29 12:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26562: [19.11.x] Removes 'searches' from localStorage on logout (1.69 KB, patch)
2020-09-29 13:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26562: [19.05.x] Removes 'searches' from localStorage on logout (1.69 KB, patch)
2020-09-29 13:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-09-29 09:31:36 UTC
A user recently logged in will inherit the "searches" item stored in localStorage.

To recreate:
Log in with user A, do some searches
Note that the "searches" item is filled in with the search queries
Logout and log in with user B
Note that the "searches" item is still there
Comment 1 Jonathan Druart 2020-09-29 09:43:32 UTC
Created attachment 110899 [details] [review]
Bug 26562: Removes 'searches' from localStorage on logout

A user recently logged in will inherit the "searches" item stored in localStorage.

To recreate:
Log in with user A, do some searches
Note that the "searches" item is filled in with the search queries
Logout and log in with user B
Note that the "searches" item is still there
Comment 2 Jonathan Druart 2020-09-29 12:58:04 UTC
Created attachment 110908 [details] [review]
Bug 26562: [20.05.x] Removes 'searches' from localStorage on logout

A user recently logged in will inherit the "searches" item stored in localStorage.

To recreate:
Log in with user A, do some searches
Note that the "searches" item is filled in with the search queries
Logout and log in with user B
Note that the "searches" item is still there
Comment 3 Jonathan Druart 2020-09-29 13:11:12 UTC
Created attachment 110909 [details] [review]
Bug 26562: [19.11.x] Removes 'searches' from localStorage on logout

A user recently logged in will inherit the "searches" item stored in localStorage.

To recreate:
Log in with user A, do some searches
Note that the "searches" item is filled in with the search queries
Logout and log in with user B
Note that the "searches" item is still there
Comment 4 Jonathan Druart 2020-09-29 13:17:20 UTC
Created attachment 110910 [details] [review]
Bug 26562: [19.05.x] Removes 'searches' from localStorage on logout

A user recently logged in will inherit the "searches" item stored in localStorage.

To recreate:
Log in with user A, do some searches
Note that the "searches" item is filled in with the search queries
Logout and log in with user B
Note that the "searches" item is still there
Comment 5 Jonathan Druart 2020-09-29 13:19:50 UTC
Lucas, Aleisha, Victor,
I pushed inadvertently this patch (I wrote it reviewing patches I was going to push and I forget to remove it from the local branch..)
I don't think it is worth rushing a security release for that patch, but it would be good to have it in the next ones!
Comment 6 Jonathan Druart 2020-09-29 13:20:36 UTC
I'd like to get a PQA stamp on the patches for stable branches before they are applied.
Comment 7 Nick Clemens 2020-10-07 13:51:25 UTC
(In reply to Jonathan Druart from comment #6)
> I'd like to get a PQA stamp on the patches for stable branches before they
> are applied.

Consider them stamped
Comment 8 Victor Grousset/tuxayo 2020-10-10 10:39:10 UTC
Backported to 19.05.x security branch for 19.05.16
Comment 9 Hayley Mapley 2020-10-13 22:17:01 UTC
Backported to 19.11.x security for 19.11.11
Comment 10 Lucas Gass 2020-10-27 22:46:53 UTC
backported to 20.05.x for 20.05.05